Subject: Re: [PATCH 8/8] doc: join xml and man rules

From: Felipe Contreras <[email-masked]>
Date: Thu, 13 May 2021 06:15:52 -0500

Martin Ågren wrote:
> On Thu, 13 May 2021 at 00:28, Felipe Contreras
> <[email-masked]> wrote:
> >
> > Will be useful later with asciidoctor that can do both at the same time.
> 
> > -%.1 %.5 %.7 : %.xml manpage-base-url.xsl $(wildcard manpage*.xsl)
> > -       $(QUIET_XMLTO)$(XMLTO) -m $(MANPAGE_XSL) $(XMLTO_EXTRA) man $<
> > -
> > -%.xml : %.txt $(ASCIIDOC_DEPS)
> > -       $(QUIET_ASCIIDOC)$(TXT_TO_XML) -d manpage -o $@ $<
> > +%.1 %.5 %.7 : %.txt $(ASCIIDOC_DEPS) manpage-base-url.xsl $(wildcard manpage*.xsl)
> > +       $(QUIET_ASCIIDOC)$(TXT_TO_XML) -d manpage -o $*.xml $< && \
> > +       $(XMLTO) -m $(MANPAGE_XSL) $(XMLTO_EXTRA) man $*.xml
> 
> It does mean that if manpage-base-url.xsl changes, we'll regenerate all
> the xml files. Before this change, we would just rerun the xmlto step.

True.

> Also, this will break `make info`.

Ahh, I didn't see that dependency on MAN_XML.

> (If you're wondering if anyone is actually using `make info`, there's
> some discussion at [1]. I don't think anyone would be too sad to see it
> go. Once `make info` is the only reason we need to generate the xml
> files, I think it's a given we should try to drop that stuff.)

Perhaps, but not in this patch series.

> I think we should keep the separate xml targets as long as "asciidoctor
> without xmlto" isn't the only way we support building the manpages. If
> the only benefit here is "later", I think we should do this patch later.
> I could also imagine that the xml target will just go away once all the
> "old" ways of building the manpages are gone and `make info` is gone,
> i.e., when we simply don't need any of these generated xml files.

Agreed. I will drop this in the next version.

Cheers.

-- 
Felipe Contreras